/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package collEquals;

import java.util.Objects;

/**
 *
 * @author aponte
 */
public class Personne {

    private String nom;
    private int age;

    public Personne(String n, int a) {
        this.nom = n;
        this.age = a;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 37 * hash + Objects.hashCode(this.nom);
        hash = 37 * hash + this.age;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Personne other = (Personne) obj;
        if (this.age != other.age) {
            return false;
        }
        if (!Objects.equals(this.nom, other.nom)) {
            return false;
        }
        return true;
    }
    public String getNom() {
        return nom;
    }
    public int getAge() {
        return age;
    }
    public String toString(){
        return "Personne[nom= "+nom+", age= "+age+"]";
    }
}
